<? $this->headLink()->prependStylesheet(_st('private-messaging.css')); ?>
<? $this->headScript()->appendFile(_st('private-messaging.js'), 'text/javascript'); ?>
<script type="text/javascript">
	Cubix.PrivateMessaging.captchaUrl = '<?= $this->getLink('captcha', array(), true) ?>&no_tidy';
</script>
<div id="thread-container">
<?= $this->render('private-messaging/get-thread.phtml'); ?>
</div>
<div class="clear"></div>
<? if ( ! $this->can_write_message ): ?>
<span class="non-active-message"><?= __('pm_none_active') ?></span>
<div class="clear"></div>
<? elseif ( $this->participant_passive ) : ?>
<span class="non-active-message"><?= __('pm_participant_non_active') ?></span>
<? else: ?>
<div class="send-message-box">
	<textarea id="message-body" name="message-body" class="ml25"></textarea>
	<div class="clear"></div>
	<span class="error"></span>
	<div id="captcha-block">
		<div class="clear"></div>
		<span class="fleft"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
		<input id="captcha" type="text"/>
		<div class="clear"></div>
		<span class="error" style="margin: 5px 0 10px 0 !important"></span><div class="clear"></div>
	</div>
	<a id="btn-send" class="ml25" onClick="return Cubix.PrivateMessaging.SendMessageFromThread('<?= $this->participant_id ?>', $$('.send-message-box')[0], <?= $this->thread_id ?> <?= $this->self_escort_id ? ',' . $this->self_escort_id : '' ?>)"><?= __('pm_send') ?></a>
	<div class="clear"></div>
	<span id="success-message"><?= __('pv_send_success_msg') ?></span>
</div>
<div class="clear"></div>
<? endif; ?>

